@import url("font/style.css");

body {
    font-family: 'Hero New Regular';
}

/* Background Video */
.background-video {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    z-index: -1;
    opacity: .5;
}

.background-video video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: -1;
    transform: translate(-50%, -50%);
    object-fit: cover;
    /* Ensure video covers the background */
}

@media (max-width: 768px) {
    
    .background-video video::-webkit-media-controls {
      display: none !important;
    }
}

.main-logo {
    height: 150px;
}

.bg-purple-900 {
    background-color: #1b0d30;
}

input {
    border-radius: 20px;
    border: 1px solid #8338ec;
    width: 25rem;
    min-height: 60px;
}

input:focus .input-group{
    border: 2px solid #8338ec !important;
}

.p-1 {
    padding: 1rem;
}

.font-bold {
    font-family: 'Hero New ExtraBold';
    font-size: 30px;
}

.text-pink-600 {
    color: #f44b94;
}

.btn-primary {
    border-radius: 40px;
    background-color: #8338ec;
    height: 60px;
   
    text-transform: uppercase;
}

.line-div {
    width: 25rem;
    position: relative;
    border-top: 0.9px solid #8338ec;
    box-sizing: border-box;
    height: 0.9px;
    display: inline-flex;
}


.input-group {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
    border-radius: 20px;
    border: 1px solid #8338ec;
    width: 30rem;
    padding-left: 15px;

   
}

.input-group label img {
    width: 20px;
    height: 20px;
    margin-right: 10px;
}

.input-group input {
    border: none;
    outline: none;
    width: 100%;
    background: transparent;
}

 /* Changer le background par défaut */
 input {
    background: transparent;
}

/* Gérer l'autocomplétion du navigateur */
input:-webkit-autofill {
    background-color: transparent !important; /* Couleur forcée pour les champs auto-complétés */
    -webkit-box-shadow: 0 0 0px 1000px #fff inset;

}

/* Focus (lorsqu'on clique dans le champ) */
input:focus {
    background-color: transparent; /* Couleur blanche */
}

form{
    max-width: 700px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.text-white-600{
    color: #fff;
}

.felicitaciones-por-unirte-container{
   
    font-size: 14px;
    line-height: 170%;
    font-weight: 300;
    color: #1b0d30;
    text-align: center;
    display: inline-block;
    font-family: 'Hero New Light';
}

.w12rem{
    width: 14.5rem  !important;
}

.dflex{
    display: flex;
}


/* Media Query for Mobile Devices */
@media (max-width: 768px) {
    .input-group, .w12rem{
        width: 80% !important;
    }

    .dflex{
        display: contents;
    }
    .dflex .ml-4{
        margin-left: 0;
    }

   

    .main-logo{
        height: 150px;
    }

    .logo img{
        width: 5rem;
    }

    .menu .text-white-600{
        font-size: 14px;
    }

    .hadermobile{
        justify-content: space-between !important;
    }

    
}


